/** @file counter_msg.cpp
 * This file contains implementation of message classes.
 *
 * @author Mikhail Chupilko (chupilko@ispras.ru)
 */

#include <counter_msg.h>

namespace cpptesk {
namespace examples {
namespace counter {

InputData::InputData(void)
{
}

InputData::~InputData(void) {}

OutputData::OutputData(void)
{
    ADD_FIELD(OutputData::data);
}

OutputData::OutputData(uint8_t output_data)
{
    ADD_FIELD(OutputData::data);
    data = output_data;
}

OutputData::~OutputData(void) {}

}}}

